cURL
curl "https://api.phrase.com/v2/accounts/:account_id/invitations" \
-u USERNAME_OR_ACCESS_TOKENphrase invitations list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/invitations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"email": "foo@bar.com",
"role": "Manager",
"state": "accepted",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
],
"default_locale_codes": [
"en",
"de"
],
"permissions": [
{
"create_upload": true,
"review_translations": true
}
],
"locale_ids": [
"abcd1234abcd1234abcd1234",
"abcd1234abcd1234abcd1235"
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"accepted_at": "2015-02-28T09:52:53Z",
"spaces": [
{
"id": "04d36d845576b9d494d05e0b70fe813b",
"name": "Space2",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z",
"projects_count": 1
}
],
"teams": [
{
"id": "04d36d845576b9d494d05e0b70fe813c",
"name": "Team 1",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z"
}
],
"project_roles": [
{
"project_id": "abcd1234cdef1234abcd1234cdef1234",
"role": "Developer"
}
]
}
]Invitations
List invitations
List invitations for an account. It will also list the accessible resources like projects and locales the invited user has access to. In case nothing is shown the default access from the role is used. Access token scope must include team.manage.
GET
/
accounts
/
{account_id}
/
invitations
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/invitations" \
-u USERNAME_OR_ACCESS_TOKENphrase invitations list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/invitations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"email": "foo@bar.com",
"role": "Manager",
"state": "accepted",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
],
"default_locale_codes": [
"en",
"de"
],
"permissions": [
{
"create_upload": true,
"review_translations": true
}
],
"locale_ids": [
"abcd1234abcd1234abcd1234",
"abcd1234abcd1234abcd1235"
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"accepted_at": "2015-02-28T09:52:53Z",
"spaces": [
{
"id": "04d36d845576b9d494d05e0b70fe813b",
"name": "Space2",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z",
"projects_count": 1
}
],
"teams": [
{
"id": "04d36d845576b9d494d05e0b70fe813c",
"name": "Team 1",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z"
}
],
"project_roles": [
{
"project_id": "abcd1234cdef1234abcd1234cdef1234",
"role": "Developer"
}
]
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Per-project roles assigned to the invitee.
Show child attributes
Show child attributes
Was this page helpful?
⌘I